# This file is used when PFEM is compiled on Windows x64
# with Luc Papeleux's precompiled libraries


SET(CMAKE_INSTALL_PREFIX  "../waves_INSTALL" CACHE PATH "" FORCE)

STRING(REGEX REPLACE "\\\\" "/" MYLIBS $ENV{METAFORLIBS})
SET(CMAKE_GENERATOR  "Visual Studio 15 2017 Win64" CACHE INTERNAL "" FORCE)

SET(PYTHON_INCLUDE_DIR              "${MYLIBS}/Python/include"             CACHE PATH "" FORCE)
SET(PYTHON_LIBRARY                       "${MYLIBS}/Python/Libs/python37.lib"     CACHE FILEPATH "" FORCE)
SET(PYTHON_RELEASE_LIBRARY      "${MYLIBS}/Python/Libs/python37.lib"     CACHE FILEPATH "" FORCE)
SET(PYTHON_DEBUG_LIBRARY         "${MYLIBS}/Python/Libs/python37_d.lib" CACHE FILEPATH "" FORCE)


# Disable Trilinos (we should test with Trilinos/clang)
LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
INCLUDE(disable-trilinos)
